/*
  The IndexCache class takes care of WWW server cache file.
  This particular class implements structure of that index for WN server.
*/

import java.io.*;

public class IndexCache {
    private static final String CACHE_NAME = "index.cache";

    static public void AddFileToIndex (String path,
				       String filename,
				       String content) throws IOException {
	File f = new File (path, CACHE_NAME);
	boolean new_file = !f.exists();
	BufferedWriter www_cache;
	if (new_file) { 
	    // create
	    www_cache =	new BufferedWriter (new FileWriter (f));
	    www_cache.write ("serveall=true\n\n");
	} else
	    // append
	    www_cache =
		new BufferedWriter (new FileWriter (f.getPath(), true));
	www_cache.write ("file=" + filename +
			 "&content=" + content + "&title=Title\n");
	www_cache.close();
	www_cache = null;
    }
}
