/*
  ServerMessage class provides information for structures of messages
  for server.

  Alexander Podoplelov, RISC-Linz, 1998.
*/

// ****************************************************
// ****************************************************

class ServerMessage extends Message {

    public ServerMessage (String key) throws UnknownKeyException {
	super (key);
    }

    public int GetNumberOfDataLinesFor (String key) 
	                                        throws UnknownKeyException {
	switch (Map(key)) {
	    // Input keywords
	case HANDSHAKE:    return 0;
	case MEETINGLIST:  return 0;
	case GENERATE:     return 2;
	case TOOLS:        return 0;
	}
	return 0;
    }
}
// ****************************************************
